<?xml version="1.0" encoding="ISO-8859-1" ?>

<!DOCTYPE tiles-definitions PUBLIC
    "-//Apache Software Foundation//DTD Tiles Configuration 1.1//EN"
    "http://struts.apache.org/dtds/tiles-config_1_1.dtd">

<!-- This file contains definitions fo person module.
	History: Created  12/07/2005	Muddaiah Ranga
-->

<tiles-definitions>

  <definition name=".person.singlePanel.breadCrumb.layout" extends=".singlePanel.breadCrumb.layout">
    <put name="bundle" value="person"/>
    <put name="enableMessages" value="true"/>
  </definition>

  <definition name=".personMerge.layout" path="/person/personMergeLayout.jsp">
    <put name="header" value="/tiles/common/header.jsp"/>
    <put name="bundle" value="person"/>
    <put name="title" value=""/>
    <put name="pageName" value=""/>
    <put name="tabName" value=""/>
    <put name="veteranHeader" value="/person/personMergeHeader.jsp"/>
    <put name="mainMenu" value="/person/personMergeMenu.jsp"/>
    <put name="content" value=""/>
    <put name="onLoadMethodName" value=""/>
    <put name="headerTitleKey" value=""/>
    <put name="footer" value="/tiles/common/footer.jsp"/>
  </definition>

  <definition name=".registry.singlePanel.breadCrumb.layout"
              extends=".singlePanel.breadCrumb.layout">
    <put name="bundle" value="person"/>
    <put name="breadCrumb" value="breadCrumb.registry"/>
    <put name="title" value=""/>
    <put name="pageName" value=""/>
    <put name="enableMessages" value="true"/>
    <put name="header" value="/tiles/common/header.jsp"/>
    <put name="veteranHeader" value=""/>
    <put name="content" value=""/>
  </definition>

  <definition name=".registry.search" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.search"/>
    <put name="pageName" value="searchRegistry"/>
    <put name="helpIdName" value="helpId.Registry_Search"/>
    <put name="content" value="/person/registrySearch.jsp"/>
  </definition>

  <definition name=".registry.load" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.load"/>
    <put name="pageName" value="loadRegistry"/>
    <put name="helpIdName" value="helpId.Load_Registry"/>
    <put name="content" value="/person/registryLoad.jsp"/>
  </definition>
  
  <definition name=".registry.load.statistics" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.fileLoadStatistics"/>
    <put name="pageName" value="loadRegistryStatistics"/>
    <put name="helpIdName" value="helpId.Load_Registry"/>
    <put name="content" value="/person/registryLoadStatistics.jsp"/>
  </definition>

  <definition name=".registry.addPH" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.ph.add"/>
    <put name="pageName" value="addPHRegistry"/>
    <put name="helpIdName" value="helpId.Add_Purple_Heart_Registry_Entry"/>
    <put name="content" value="/person/registryAddPH.jsp"/>
  </definition>

  <definition name=".registry.updatePH" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.ph.update"/>
    <put name="pageName" value="updatePHRegistry"/>
    <put name="helpIdName" value="helpId.Add_Purple_Heart_Registry_Entry"/>
    <put name="content" value="/person/registryUpdatePH.jsp"/>
  </definition>

  <definition name=".registry.addPOW" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.pow.add"/>
    <put name="pageName" value="addPOWRegistry"/>
    <put name="helpIdName" value="helpId.Add_POW_Registry_Entry"/>
    <put name="content" value="/person/registryAddPOW.jsp"/>
  </definition>

  <definition name=".registry.updatePOW" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.pow.update"/>
    <put name="pageName" value="updatePOWRegistry"/>
    <put name="helpIdName" value="helpId.Add_POW_Registry_Entry"/>
    <put name="content" value="/person/registryUpdatePOW.jsp"/>
  </definition>

  <definition name=".registry.addSHAD" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.shad.add"/>
    <put name="pageName" value="addSHADRegistry"/>
    <put name="helpIdName" value="helpId.Add_SHAD_Registry_Entry"/>
    <put name="content" value="/person/registryAddSHAD.jsp"/>
  </definition>

  <definition name=".registry.updateSHAD" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.shad.update"/>
    <put name="pageName" value="updateSHADRegistry"/>
    <put name="helpIdName" value="helpId.Add_SHAD_Registry_Entry"/>
    <put name="content" value="/person/registryUpdateSHAD.jsp"/>
  </definition>

  <definition name=".view.powRegistryHistory" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.pow.history"/>
    <put name="pageName" value="powRegistryHistory"/>
    <put name="content" value="/historyContent.jsp"/>
  </definition>

  <definition name=".view.shadRegistryHistory" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.shad.history"/>
    <put name="pageName" value="shadRegistryHistory"/>
    <put name="content" value="/historyContent.jsp"/>
  </definition>

  <definition name=".view.phRegistryHistory" extends=".registry.singlePanel.breadCrumb.layout">
    <put name="title" value="title.registry.ph.history"/>
    <put name="pageName" value="phRegistryHistory"/>
    <put name="content" value="/historyContent.jsp"/>
  </definition>

  <definition name=".personMergeWorklist" extends=".person.singlePanel.breadCrumb.layout">
    <put name="title" value="title.person.personMergeWorklist"/>
    <put name="pageName" value="personMergeWorklist"/>
    <put name="helpIdName" value="helpId.Veteran_Merge"/>
    <put name="content" value="/person/personMergeWorklist.jsp"/>
    <put name="breadCrumb" value="breadCrumb.person.personMergeWorklist"/>
   </definition>
	
	<definition name=".personMergeWorklistSearch.display" extends=".person.singlePanel.breadCrumb.layout">
		<put name="title" value="title.person.personMergeWorklistSearch" /> 
		<put name="pageName" value="personMergeWorklistSearch" /> 
  		<put name="content" value=".personMergeWorklistSearch.display.content" />
    	<put name="onLoadMethodName" value="onLoadInit()" />
    	<put name="breadCrumb" value="breadCrumb.person.personMergeWorklistSearch"/>
    	<put name="helpIdName" value="helpId.Veteran_Merge_Search"/>
 	</definition>

 	<definition name=".personMergeWorklistSearch.display.content" path="/person/personMergeWorklistSearchContent.jsp"
		controllerClass="gov.va.med.fw.ui.struts.ServiceDelegatingTilesController">
	</definition>
 	
  <definition name=".personUnmergeWorklist" extends=".person.singlePanel.breadCrumb.layout">
    <put name="title" value="title.person.personUnmergeWorklist"/>
    <put name="pageName" value="personUnmergeWorklist"/>
    <put name="helpIdName" value="helpId.Veteran_Un_Merge"/>
    <put name="content" value="/person/personUnmergeWorklist.jsp"/>
    <put name="breadCrumb" value="breadCrumb.person.personUnmergeWorklist"/>
  </definition>

  <definition name=".personMergeEligibility" extends=".personMerge.layout">
    <put name="title" value="title.person.personMergeEligibility"/>
    <put name="pageName" value="personMergeEligibility"/>
    <put name="helpIdName" value="helpId.Veteran_Merge"/>
    <put name="content" value="/person/personMergeDetails.jsp"/>
    <put name="tabName" value="eligibility"/>
    <put name="headerTitleKey" value="label.person.eligibilityMergeDetails"/>
    <put name="breadCrumb" value="breadCrumb.person.personMergeEligibility"/>
  </definition>
  
  <definition name=".personMergeDemographics" extends=".personMerge.layout">
    <put name="title" value="title.person.personMergeDemographics"/>
    <put name="pageName" value="personMergeDemographics"/>
    <put name="helpIdName" value="helpId.Veteran_Merge"/>
    <put name="content" value="/person/personMergeDetails.jsp"/>
    <put name="tabName" value="demographics"/>
    <put name="headerTitleKey" value="label.person.demographicsMergeDetails"/>
    <put name="breadCrumb" value="breadCrumb.person.personMergeDemographics"/>
  </definition>

  <definition name=".personMergeMilitaryService" extends=".personMerge.layout">
    <put name="title" value="title.person.personMergeMilitaryService"/>
    <put name="pageName" value="personMergeMilitaryService"/>
    <put name="helpIdName" value="helpId.Veteran_Merge"/>
    <put name="content" value="/person/personMergeDetails.jsp"/>
    <put name="tabName" value="militaryService"/>
    <put name="headerTitleKey" value="label.person.militaryServiceMergeDetails"/>
    <put name="breadCrumb" value="breadCrumb.person.personMergeMilitaryService"/>
  </definition>

  <definition name=".personMergeFinancials" extends=".personMerge.layout">
    <put name="title" value="title.person.personMergeFinancials"/>
    <put name="pageName" value="personMergeFinancials"/>
    <put name="helpIdName" value="helpId.Veteran_Merge"/>
    <put name="content" value="/person/personMergeDetails.jsp"/>
    <put name="tabName" value="financials"/>
    <put name="headerTitleKey" value="label.person.financialsMergeDetails"/>
    <put name="breadCrumb" value="breadCrumb.person.personMergeFinancials"/>
  </definition>
  
  <definition name=".personMergeFacility" extends=".personMerge.layout">
    <put name="title" value="title.person.personMergeFacility"/>
    <put name="pageName" value=".personMergeFacility"/>
    <put name="helpIdName" value="helpId.Veteran_Merge"/>
    <put name="content" value="/person/personMergeDetails.jsp"/>
    <put name="tabName" value="facility"/>
    <put name="headerTitleKey" value="label.person.facilityMergeDetails"/>
    <put name="breadCrumb" value="breadCrumb.person.personMergeFacility"/>
  </definition>
</tiles-definitions>
